zenilib: ogg_stream_state Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
ogg_stream_state Struct Reference

`#include <ogg.h>`

## Public Attributes

int | b_o_s
unsigned char * | body_data
long | body_fill
long | body_returned
long | body_storage
int | e_o_s
ogg_int64_t * | granule_vals
ogg_int64_t | granulepos
unsigned char | header [282]
int | header_fill
long | lacing_fill
long | lacing_packet
long | lacing_returned
long | lacing_storage
int * | lacing_vals
ogg_int64_t | packetno
long | pageno
long | serialno

## Detailed Description

Definition at line 53 of file ogg.h.

## Member Data Documentation

int ogg_stream_state::b_o_s

Definition at line 74 of file ogg.h.

Referenced by ogg_stream_flush_i(), ogg_stream_pageout(), ogg_stream_pageout_fill(), and ogg_stream_reset().

unsigned char* ogg_stream_state::body_data

Definition at line 54 of file ogg.h.

Referenced by _os_body_expand(), _packetout(), ogg_stream_check(), ogg_stream_clear(), ogg_stream_flush_i(), ogg_stream_init(), ogg_stream_iovecin(), and ogg_stream_pagein().

long ogg_stream_state::body_fill

Definition at line 56 of file ogg.h.

Referenced by _os_body_expand(), ogg_stream_iovecin(), ogg_stream_pagein(), and ogg_stream_reset().

long ogg_stream_state::body_returned

Definition at line 57 of file ogg.h.

Referenced by _packetout(), ogg_stream_flush_i(), ogg_stream_iovecin(), ogg_stream_pagein(), and ogg_stream_reset().

long ogg_stream_state::body_storage

Definition at line 55 of file ogg.h.

Referenced by _os_body_expand(), and ogg_stream_init().

int ogg_stream_state::e_o_s

Definition at line 72 of file ogg.h.

Referenced by ogg_stream_eos(), ogg_stream_flush_i(), ogg_stream_iovecin(), ogg_stream_pagein(), ogg_stream_pageout(), ogg_stream_pageout_fill(), and ogg_stream_reset().

ogg_int64_t* ogg_stream_state::granule_vals

Definition at line 61 of file ogg.h.

Referenced by _os_lacing_expand(), _packetout(), ogg_stream_clear(), ogg_stream_flush_i(), ogg_stream_init(), ogg_stream_iovecin(), and ogg_stream_pagein().

ogg_int64_t ogg_stream_state::granulepos

Definition at line 83 of file ogg.h.

Referenced by ogg_stream_iovecin(), and ogg_stream_reset().

unsigned char ogg_stream_state::header[282]

Definition at line 69 of file ogg.h.

Referenced by ogg_stream_flush_i().

int ogg_stream_state::header_fill

Definition at line 70 of file ogg.h.

Referenced by ogg_stream_flush_i(), and ogg_stream_reset().

long ogg_stream_state::lacing_fill

Definition at line 65 of file ogg.h.

Referenced by _os_lacing_expand(), ogg_stream_flush_i(), ogg_stream_iovecin(), ogg_stream_pagein(), ogg_stream_pageout(), ogg_stream_pageout_fill(), and ogg_stream_reset().

long ogg_stream_state::lacing_packet

Definition at line 66 of file ogg.h.

Referenced by _packetout(), ogg_stream_pagein(), and ogg_stream_reset().

long ogg_stream_state::lacing_returned

Definition at line 67 of file ogg.h.

Referenced by _packetout(), ogg_stream_pagein(), and ogg_stream_reset().

long ogg_stream_state::lacing_storage

Definition at line 64 of file ogg.h.

Referenced by _os_lacing_expand(), and ogg_stream_init().

int* ogg_stream_state::lacing_vals

Definition at line 60 of file ogg.h.

Referenced by _os_lacing_expand(), _packetout(), ogg_stream_clear(), ogg_stream_flush_i(), ogg_stream_init(), ogg_stream_iovecin(), and ogg_stream_pagein().

ogg_int64_t ogg_stream_state::packetno

Definition at line 78 of file ogg.h.

Referenced by _packetout(), ogg_stream_iovecin(), and ogg_stream_reset().

long ogg_stream_state::pageno

Definition at line 77 of file ogg.h.

Referenced by ogg_stream_flush_i(), ogg_stream_pagein(), and ogg_stream_reset().

long ogg_stream_state::serialno

Definition at line 76 of file ogg.h.

Referenced by _bisect_forward_serialno(), _fetch_and_process_packet(), _fetch_headers(), _initial_pcmoffset(), _open_seekable2(), _ov_open1(), ogg_stream_flush_i(), ogg_stream_init(), ogg_stream_pagein(), and ogg_stream_reset_serialno().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/libogg/include/ogg/ogg.h